SOURCES: nginx-light.init (NEW) - init

sardzent sardzent at pld-linux.org
Fri Nov 30 19:55:53 CET 2007


Author: sardzent                     Date: Fri Nov 30 18:55:53 2007 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- init

---- Files affected:
SOURCES:
   nginx-light.init (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/nginx-light.init
diff -u /dev/null SOURCES/nginx-light.init:1.1
--- /dev/null	Fri Nov 30 19:55:53 2007
+++ SOURCES/nginx-light.init	Fri Nov 30 19:55:48 2007
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# nginx	Nginx Web Server (light version)
+#
+# chkconfig:	345 85 15
+# description:	Nginx is a World Wide Web server.  It is used to serve \
+#		HTML files and CGI.
+# processname:	nginx-light
+# pidfile:	/var/run/nginx-light.pid
+# config:	/etc/nginx/nginx-light.conf
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/nginx ] && . /etc/sysconfig/nginx
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+		msg_network_down nginx-light
+		exit 1
+	fi
+else
+	exit 0
+fi
+
+if [ -d "${HTTPD_CONF:-'/etc/nginx/nginx-light.conf'}" ]; then
+	CFG="-f ${HTTPD_CONF:-'/etc/nginx/nginx-light.conf'}"
+elif [ -n "$HTTPD_CONF" ]; then
+	echo "error: HTTPD_CONF='$HTTPD_CONF': not a file, not a directory"
+	exit 1
+else
+	CFG=""
+fi
+
+start() {
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/nginx-light ]; then
+		msg_starting nginx-light
+		daemon nginx-light $CFG $HTTPD_OPTS
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/nginx-light
+	else
+		msg_already_running nginx-light
+	fi
+}
+
+stop() {
+	# Stop daemons.
+	if [ -f /var/lock/subsys/nginx-light ]; then
+		msg_stopping nginx-light
+		killproc --waitforname nginx-light --waitfortime 60 nginx-light $CFG
+		# Delete pidfile only when nginx was called successfully
+		if [ $? -eq 0 ]; then
+			rm -f /var/lock/subsys/nginx-light /var/run/nginx-light.pid >/dev/null 2>&1
+		fi
+	else
+		msg_not_running nginx-light
+	fi
+}
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+  	start
+	;;
+  stop)
+  	stop
+	;;
+  status)
+	status nginx-light
+	RETVAL=$?
+	;;
+  restart)
+	stop
+	start
+	;;
+  reload|force-reload|graceful)
+	if [ -f /var/lock/subsys/nginx-light ]; then
+		msg_reloading nginx-light
+		killproc nginx-light -HUP
+		RETVAL=$?
+	else
+		msg_not_running nginx-light
+		RETVAL=7
+	fi
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|status}"
+	exit 3
+	;;
+esac
+
+exit $RETVAL
================================================================


More information about the pld-cvs-commit mailing list